### Method

# GUPnP Service notify_failed

#### Declaration [src]

    void
    gupnp_service_notify_failed (
      GUPnPService* service,
      const GList* callback_urls,
      const GError* reason
    )

#### Description [src]

Default handler for `GUPnPService::notify-failed`. See its documentation for details.

Can be overridden by child classes instead of connecting to the signal.

#### Parameters

`callback_urls` | A list of `GUri*`
| A list of call-back urls that failed the notification.
| The data is owned by the caller of the function.
`reason` | `GError`
| An error that describes why the notification failed.
| The data is owned by the caller of the function.